Description

Que el botón "Supr" pueda utilizarse para borrar (elementos o vértices).
Actualmente al pulsar "Supr" lo interpreta la línea de comandos y no elimina ningún elemento gráfico.

Associated revisions
Revision 472 - 05/13/2015 02:33 PM - Francisco Díaz Carsí

fixes #3333 Arreglado para que la TextArea de la consola de edición no capture el evento de la tecla "DELETE" y que pueda utilizarse para el
proveedor de edición de borrado de elementos.

History
#1 - 04/29/2015 05:19 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.2.0-2311-rc2 to 2.2.0-2310
- Priority changed from Normal to Urgent

#2 - 05/13/2015 08:54 AM - Francisco Díaz Carsí
- Status changed from New to Awaiting response

En el separador que hay entre la consola y la parte gráfica de la vista, hay un par de botones para mostrar/ocultar la consola.
Si se oculta la consola se puede utilizar la tecla "Supr" del teclado para borrar elementos.

Álvaro, dime si con eso vale porque si capturásemos solo para la parte gráfica el evento de suprimir del teclado (que no sabemos todavía cómo lo
podríamos hacer) dejaríamos al usuario imposibilitado para rectificar una entrada errónea de texto en consola.

#3 - 05/13/2015 09:15 AM - Álvaro Anguix

no, no valdría, se trata que el botón supr agilice los procesos de edición...si ha de estar abriendo/cerrando consola en algunos casos...no lo agiliza.
Quizá una cosa que se podría hacer es que el botón supr opere cuando hay elementos seleccionados, que al fin y al cabo es el único caso en que se
me ocurre que puede ser necesario (para borrar elementos)

#4 - 05/13/2015 09:17 AM - Álvaro Anguix

Es decir, el botón supr realmente es una "tecla rápida" para ejecutar el botón de eliminar elementos (sobre los elementos ya seleccionados).
#5 - 05/13/2015 02:16 PM - Francisco Díaz Carsí
- Status changed from Awaiting response to In progress

#6 - 05/13/2015 02:34 PM - Francisco Díaz Carsí
- % Done changed from 0 to 100
- Status changed from In progress to Fixed

Applied in changeset gvsig-vector-editing:gvsig-vectorediting|r472.

#7 - 05/13/2015 02:46 PM - Francisco Díaz Carsí
- % Done changed from 100 to 0

Ok, he conseguido arreglarlo para que la consola no atrape el evento de la tecla "DELETE" y así se pueda utilizar para borrar geometrías.

Pero, como te comentaba antes, el usuario ya no la podrá utilizar para rectificar una entrada errónea de texto en consola (tendrá que conformarse con
el BACKSPACE) y como la pulse se le borrará la selección aunque esté a medias de otra herramienta.

Comentándolo con Lluis, me propone que utilicemos como acelerador para el borrado de geometrías "Ctrl-D" dejando la tecla "DELETE" para la
consola.

No me parece descabellada la idea y, aunque ya lo he arreglado como me has dicho, te la traslado para que la consideres.

#8 - 05/20/2015 09:16 AM - Álvaro Anguix
- Status changed from Fixed to Closed

05/02/2024 2/2


